Skip to main content
GET
Table is Cached

Authorizations

Authorization
string
header
required

Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication

Path Parameters

projectId
string
required

ID of the project

catalogId
string
required

ID of the catalog

schemaName
string
required

Name of the schema

tableName
string
required

Name of the table

Response

200 - application/json

Successful operation

supportedCacheTypes
string[]

The cache types supported by the table: FULL_REFRESH and/or INCREMENTAL. An empty list means the table is not cacheable. The field is absent when capability information could not be resolved.

isCached
boolean

Indicates whether the table currently has an active cache.

isCacheable
boolean

Indicates whether the table can be cached. The field is absent when the information could not be resolved.